var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
import React from 'react';
import styled from '@monstrosity/utilities/themed-components';
// eslint-disable-next-line @typescript-eslint/no-var-requires
var symbolPath = require('./remix/remixicon.symbol.svg');
var RemixWrapper = styled.svg(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n\tfill: currentColor;\n\twidth: ", ";\n\theight: ", ";\n"], ["\n\tfill: currentColor;\n\twidth: ", ";\n\theight: ", ";\n"])), function (_a) {
    var size = _a.size;
    return size || '2rem';
}, function (_a) {
    var size = _a.size;
    return size || '2rem';
});
export var RemixIcon = function (_a) {
    var remix = _a.remix, size = _a.size;
    return (React.createElement(RemixWrapper, { size: size },
        React.createElement("use", { xlinkHref: symbolPath + "#" + remix })));
};
var templateObject_1;
